# N (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard.property

## Class N

- java.lang.Object
- - net.fortuna.ical4j.vcard.Property
  - - net.fortuna.ical4j.vcard.property.N

All Implemented Interfaces:
  Serializable

    public final class N
    extends Property

N property. $Id$ Created on 23/08/2008

Author:
  Ben
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class net.fortuna.ical4j.vcard.Property

`Property.Id`

### Field Summary

Fields
`static PropertyFactory<N>` `FACTORY`

### Fields inherited from class net.fortuna.ical4j.vcard.Property

`ILLEGAL_PARAMETER_MESSAGE`

### Constructor Summary

Constructors
Constructor and Description
`N(List<Parameter> params, String value)` Factory constructor.
`N(String familyName, String givenName, String[] additionalNames, String[] prefixes, String[] suffixes)`

### Method Summary

Methods
`String[]` `getAdditionalNames()`
`String` `getFamilyName()`
`String` `getGivenName()`
`String[]` `getPrefixes()`
`String[]` `getSuffixes()`
`String` `getValue()`
`void` `validate()`

### Methods inherited from class net.fortuna.ical4j.vcard.Property

`assertOneOrLess, assertParametersEmpty, assertPidParameter, assertPrefParameter, assertTextParameter, assertTypeParameter, equals, getExtendedParameter, getExtendedParameters, getGroup, getId, getParameter, getParameters, getParameters, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FACTORY

    public static final PropertyFactory<N> FACTORY

### Constructor Detail

#### N

    public N(String familyName,
     String givenName,
     String[] additionalNames,
     String[] prefixes,
     String[] suffixes)

Parameters:
  `familyName` - the family name component of a name
  `givenName` - the given name component of a name
  `additionalNames` - additional names component of a name
  `prefixes` - prefix components of a name
  `suffixes` - suffix components of a name

#### N

    public N(List<Parameter> params,
     String value)

Factory constructor.

Parameters:
  `params` - property parameters
  `value` - string representation of a property value

### Method Detail

#### getFamilyName

    public String getFamilyName()

Returns:
  the familyName

#### getGivenName

    public String getGivenName()

Returns:
  the givenName

#### getAdditionalNames

    public String[] getAdditionalNames()

Returns:
  the additionalNames

#### getPrefixes

    public String[] getPrefixes()

Returns:
  the prefixes

#### getSuffixes

    public String[] getSuffixes()

Returns:
  the suffixes

#### getValue

    public String getValue()

Specified by:
  `getValue` in class `Property`
Returns:
  a string representaion of the property propertyName

#### validate

    public void validate()
                  throws net.fortuna.ical4j.model.ValidationException

Specified by:
  `validate` in class `Property`
Throws:
  `net.fortuna.ical4j.model.ValidationException` - where the property fails validation rules